Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTextOStream Class Reference

The TQTextOStream class is a convenience class for output streams. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqtextstream.h>`

Inherits TQTextStream.

List of all member functions.

## Public Members

- TQTextOStream ( TQString * s )
- TQTextOStream ( TQByteArray ba )
- TQTextOStream ( FILE * f )

## Detailed Description

The TQTextOStream class is a convenience class for output streams.

This class provides a shorthand for creating simple output TQTextStreams without having to pass a mode argument to the constructor.

This makes it easy for example, to write things like this:

        TQString result;
        TQTextOStream(&result) << "pi = " << 3.14;

See also Input/Output and Networking and Text Related Classes.

## Member Function Documentation

### TQTextOStream::TQTextOStream ( TQString * s )

Constructs a stream to write to string s.

### TQTextOStream::TQTextOStream ( TQByteArray ba )

Constructs a stream to write to the array ba.

### TQTextOStream::TQTextOStream ( FILE * f )

Constructs a stream to write to the file f.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.